package com.ruoyi.app.mapper;

import com.ruoyi.app.domain.AppGoods;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author ruoyi
 * @date 2025-01-15
 */
public interface AppGoodsMapper
{
    /**
     * 查询【请填写功能名称】
     *
     * @param goodsId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public AppGoods selectAppGoodsByGoodsId(String goodsId);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param appGoods 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<AppGoods> selectAppGoodsList(AppGoods appGoods);

    /**
     * 新增【请填写功能名称】
     *
     * @param appGoods 【请填写功能名称】
     * @return 结果
     */
    public int insertAppGoods(AppGoods appGoods);

    /**
     * 修改【请填写功能名称】
     *
     * @param appGoods 【请填写功能名称】
     * @return 结果
     */
    public int updateAppGoods(AppGoods appGoods);

    /**
     * 删除【请填写功能名称】
     *
     * @param goodsId 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteAppGoodsByGoodsId(String goodsId);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param goodsIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppGoodsByGoodsIds(String[] goodsIds);


    /**
     * 根据id查询物料数据
     *
     * @param goodsIds
     * @return
     */
    List<AppGoods> selectAppGoodsListByGoodsIds(String[] goodsIds);
}
